## NMSettingOvsPort

NMSettingOvsPort — Describes connection properties for Open vSwitch ports.

## Functions

NMSetting * | nm_setting_ovs_port_new ()
const char * | nm_setting_ovs_port_get_vlan_mode ()
guint | nm_setting_ovs_port_get_tag ()
const char * | nm_setting_ovs_port_get_lacp ()
const char * | nm_setting_ovs_port_get_bond_mode ()
guint | nm_setting_ovs_port_get_bond_updelay ()
guint | nm_setting_ovs_port_get_bond_downdelay ()
void | nm_setting_ovs_port_add_trunk ()
guint | nm_setting_ovs_port_get_num_trunks ()
NMRange * | nm_setting_ovs_port_get_trunk ()
void | nm_setting_ovs_port_remove_trunk ()
gboolean | nm_setting_ovs_port_remove_trunk_by_value ()
void | nm_setting_ovs_port_clear_trunks ()

## Types and Values

#define | NM_SETTING_OVS_PORT_SETTING_NAME
#define | NM_SETTING_OVS_PORT_VLAN_MODE
#define | NM_SETTING_OVS_PORT_TAG
#define | NM_SETTING_OVS_PORT_TRUNKS
#define | NM_SETTING_OVS_PORT_LACP
#define | NM_SETTING_OVS_PORT_BOND_MODE
#define | NM_SETTING_OVS_PORT_BOND_UPDELAY
#define | NM_SETTING_OVS_PORT_BOND_DOWNDELAY

## Description

The NMSettingOvsPort object is a NMSetting subclass that describes properties necessary for Open vSwitch ports.

## Functions

### nm_setting_ovs_port_new ()

    NMSetting *
    nm_setting_ovs_port_new (void);

Creates a new NMSettingOvsPort object with default values.

#### Returns

the new empty NMSettingOvsPort object.

[transfer full]

Since: 1.10

### nm_setting_ovs_port_get_vlan_mode ()

    const char *
    nm_setting_ovs_port_get_vlan_mode (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “vlan-mode” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_tag ()

    guint
    nm_setting_ovs_port_get_tag (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “tag” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_lacp ()

    const char *
    nm_setting_ovs_port_get_lacp (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “lacp” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_bond_mode ()

    const char *
    nm_setting_ovs_port_get_bond_mode (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “bond-mode” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_bond_updelay ()

    guint
    nm_setting_ovs_port_get_bond_updelay (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “bond-updelay” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_bond_downdelay ()

    guint
    nm_setting_ovs_port_get_bond_downdelay
                                   (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “bond-downdelay” property of the setting

Since: 1.10

### nm_setting_ovs_port_add_trunk ()

    void
    nm_setting_ovs_port_add_trunk (NMSettingOvsPort *setting,
                                   NMRange *trunk);

Appends a new trunk range to the setting. This takes a reference to `trunk` .

#### Parameters

setting | the NMSettingOvsPort |
trunk | the trunk to add |

Since: 1.42

### nm_setting_ovs_port_get_num_trunks ()

    guint
    nm_setting_ovs_port_get_num_trunks (NMSettingOvsPort *setting);

#### Parameters

setting | the NMSettingOvsPort |

#### Returns

the number of trunk ranges

Since: 1.42

### nm_setting_ovs_port_get_trunk ()

    NMRange *
    nm_setting_ovs_port_get_trunk (NMSettingOvsPort *setting,
                                   guint idx);

#### Parameters

setting | the NMSettingOvsPort |
idx | index number of the trunk range to return |

#### Returns

the trunk range at index `idx` .

[transfer none]

Since: 1.42

### nm_setting_ovs_port_remove_trunk ()

    void
    nm_setting_ovs_port_remove_trunk (NMSettingOvsPort *setting,
                                      guint idx);

Removes the trunk range at index `idx` .

#### Parameters

setting | the NMSettingOvsPort |
idx | index number of the trunk range. |

Since: 1.42

### nm_setting_ovs_port_remove_trunk_by_value ()

    gboolean
    nm_setting_ovs_port_remove_trunk_by_value
                                   (NMSettingOvsPort *setting,
                                    guint start,
                                    guint end);

Remove the trunk range with range `start` to `end` .

#### Parameters

setting | the NMSettingOvsPort |
start | the trunk range start index |
end | the trunk range end index |

#### Returns

`TRUE` if the trunk range was found and removed; `FALSE` otherwise

Since: 1.42

### nm_setting_ovs_port_clear_trunks ()

    void
    nm_setting_ovs_port_clear_trunks (NMSettingOvsPort *setting);

Removes all configured trunk ranges.

#### Parameters

setting | the NMSettingOvsPort |

Since: 1.42

## Types and Values

### NM_SETTING_OVS_PORT_SETTING_NAME

    #define NM_SETTING_OVS_PORT_SETTING_NAME "ovs-port"

### NM_SETTING_OVS_PORT_VLAN_MODE

    #define NM_SETTING_OVS_PORT_VLAN_MODE      "vlan-mode"

### NM_SETTING_OVS_PORT_TAG

    #define NM_SETTING_OVS_PORT_TAG            "tag"

### NM_SETTING_OVS_PORT_TRUNKS

    #define NM_SETTING_OVS_PORT_TRUNKS         "trunks"

### NM_SETTING_OVS_PORT_LACP

    #define NM_SETTING_OVS_PORT_LACP           "lacp"

### NM_SETTING_OVS_PORT_BOND_MODE

    #define NM_SETTING_OVS_PORT_BOND_MODE      "bond-mode"

### NM_SETTING_OVS_PORT_BOND_UPDELAY

    #define NM_SETTING_OVS_PORT_BOND_UPDELAY   "bond-updelay"

### NM_SETTING_OVS_PORT_BOND_DOWNDELAY

    #define NM_SETTING_OVS_PORT_BOND_DOWNDELAY "bond-downdelay"